﻿
&Вместо("СформироватьЗапросВременнаяТаблицаКурсыВалют")
Процедура исперп_СформироватьЗапросВременнаяТаблицаКурсыВалют(ТекстЗапроса, ПараметрыЗапроса, ДокументПродажи)
	
	ВыполнениеСтандарт	= Истина;
	
	Если исперп_Правка.Включена(исперп_Идентификатор.ПродажиСервер_СформироватьЗапросВременнаяТаблицаКурсыВалют())
		И СтрНайти(ТекстЗапроса, "ПОМЕСТИТЬ ВременнаяТаблицаКурсыВалют") <> 0
		Тогда
		ВыполнениеСтандарт	= Ложь;
		ТекстЗапроса		= ТекстЗапроса + "
		|ВЫБРАТЬ
		|	1
		|ПОМЕСТИТЬ
		|	Таблица_" + СтрЗаменить(Строка(Новый УникальныйИдентификатор()), "-", "") + "
		|;
		|";
	КонецЕсли;
	
	Если ВыполнениеСтандарт Тогда
		ПродолжитьВызов(ТекстЗапроса, ПараметрыЗапроса, ДокументПродажи);
	КонецЕсли;
	
КонецПроцедуры
